Skip to content

List Active Nodes in a Group

GET
/api/v1/scaler/scalegroups/nodes/{scaler_id}
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/nodes/{scaler_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the currently running (active) nodes for an auto scaling group - each node’s id, name, public and private IP address, and status. Terminated nodes are returned by Deleted Nodes instead.

scaler_id
required
integer

The id of the auto scaling group, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the group.

Example

<LOCATION>

Successful response

Media typeapplication/json

Active nodes in the group.

object
code
integer
data
Array<object>
object
id
integer
name
string
public_ip_address
string
private_ip_address
string
status
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 12345,
"name": "web_7_service_12345",
"public_ip_address": "164.2.3.4",
"private_ip_address": "10.8.46.6",
"status": "Running"
}
],
"message": "Success"
}